package com.caimei365.manager.service.caimei;

import com.caimei365.manager.entity.PaginationVo;
import com.caimei365.manager.entity.ResponseJson;
import com.caimei365.manager.entity.caimei.KeyWord;

import java.util.List;

/**
 * @author zzj
 */
public interface KeyWordService {
    ResponseJson<PaginationVo<KeyWord>> getKeyWordList(String keyWord, Integer searchTimeCode, Integer fromSearch, String beginTime, String endTime, Integer labelStatus, int pageNum, int pageSize);

    ResponseJson findLinkageStatus(String id, Integer linkageStatus);

    ResponseJson joinLabel(String id);

    ResponseJson<PaginationVo<KeyWord>> getRecommendList(String keyword, String beginTime, String endTime, Integer pageNum, Integer pageSize);

    ResponseJson ignoreLabel(String id);

    ResponseJson insertLabel(KeyWord keyWord);

    ResponseJson deleteLabel(String id);

}
